Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ComputeNode::Dispatcher::CData Class Reference
Inheritance diagram for ComputeNode::Dispatcher::CData:

## Public Member Functions
| CData (const CData &copy)
virtual void | fillin (DatagramIterator &scan, BamReader *manager)
| This internal function is called by make_from_bam to read in all of the relevant data from the BamFile for the new ComputeNode.
virtual TypeHandle | get_parent_type () const
| Returns the type of the container that owns the CycleData.
virtual CycleData * | make_copy () const
virtual void | write_datagram (BamWriter *manager, Datagram &dg) const
| Writes the contents of this object to the datagram for shipping out to a Bam file.
Public Member Functions inherited from CycleData
| CycleData (const CycleData &copy)=default
| CycleData (CycleData &&from)=default
virtual int | complete_pointers (TypedWritable **p_list, BamReader *manager)
| Receives an array of pointers, one for each time manager->read_pointer() was called in fillin().
virtual void | fillin (DatagramIterator &scan, BamReader *manager, void *extra_data)
| This internal function is intended to be called by each class's make_from_bam() method to read in all of the relevant data from the BamFile for the new object.
CycleData & | operator= (const CycleData &copy)=default
CycleData & | operator= (CycleData &&from)=default
virtual void | output (std::ostream &out) const
| Formats the contents of the CycleData in some meaningful way for humans.
virtual void | write_datagram (BamWriter *, Datagram &, void *extra_data) const
| Writes the contents of this object to the datagram for shipping out to a Bam file.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Public Attributes
Dispatches | _dispatches

## Detailed Description

Definition at line 67 of file computeNode.h.

## Constructor & Destructor Documentation

## ◆ CData() [1/2]

ComputeNode::Dispatcher::CData::CData | ( |  | ) |
| inline

Definition at line 102 of file computeNode.I.

## ◆ CData() [2/2]

ComputeNode::Dispatcher::CData::CData | ( | const CData & | copy | ) |
| inline

Definition at line 109 of file computeNode.I.

## Member Function Documentation

## ◆ fillin()

void ComputeNode::Dispatcher::CData::fillin | ( | DatagramIterator & | scan,
|  | BamReader * | manager )
| virtual

This internal function is called by make_from_bam to read in all of the relevant data from the BamFile for the new ComputeNode.

Reimplemented from CycleData.

Definition at line 217 of file computeNode.cxx.

References DatagramIterator::get_uint16().

## ◆ get_parent_type()

virtual TypeHandle ComputeNode::Dispatcher::CData::get_parent_type | ( |  | ) | const
| inline virtual

Returns the type of the container that owns the CycleData.

This is useful mainly for debugging.

Reimplemented from CycleData.

Definition at line 74 of file computeNode.h.

## ◆ make_copy()

CycleData * ComputeNode::Dispatcher::CData::make_copy | ( |  | ) | const
| virtual

Implements CycleData.

Definition at line 194 of file computeNode.cxx.

## ◆ write_datagram()

void ComputeNode::Dispatcher::CData::write_datagram | ( | BamWriter * | manager,
|  | Datagram & | dg ) const
| virtual

Writes the contents of this object to the datagram for shipping out to a Bam file.

Reimplemented from CycleData.

Definition at line 203 of file computeNode.cxx.

References Datagram::add_uint16().

## Member Data Documentation

## ◆ _dispatches

Dispatches ComputeNode::Dispatcher::CData::_dispatches

Definition at line 78 of file computeNode.h.

The documentation for this class was generated from the following files:

- panda/src/pgraphnodes/computeNode.h
- panda/src/pgraphnodes/computeNode.cxx
- panda/src/pgraphnodes/computeNode.I